# Changelog

---

## [0.3.0] - 2024-11-17

- Fixed a critical bug: thread control was implemented incorrectly,
  which caused the GC could behave improperly.

- New inferface of `mount()`: added argument for mount point path;
  methods `setMountPoint()` and `getMountPoint()` are deleted as deprecated.

---

## [0.2.1] - 2024-11-11

- Fix README.md.

---

## [0.2.0] - 2024-11-11

- The logic of the `call_destroy()` function was overly fancy.
- The `oxfuse.mount()` interface no longer requires mandatory passing
  of a file system type as a template parameter.
- Other minor changes.

---

## [0.1.2] - 2023-10-28

### Fixed

- Linking with libfuse3.
- Style and some text errors.

---

## [0.1.1] - 2023-02-19

### Fixed

- Installation path to pkg-config directory.
- Some documentation comments.

### Added

- Links to the library documentation and download page.

---

## [0.1.0] - 2023-02-17

### Added

- Initial release of a D language binding
  to [the FUSE library](https://github.com/libfuse/libfuse) v3+.
